package com.fjhx.account.mapper.account;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.po.AccountRequestFundsDetail;
import com.fjhx.account.entity.account.vo.AccountRequestFundsDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-10
 */
public interface AccountRequestFundsDetailMapper extends BaseMapper<AccountRequestFundsDetail> {

    /**
     * 分页
     */
    Page<AccountRequestFundsDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AccountRequestFundsDetail> wrapper);

    /**
     * 获取列表根据合同ID
     *
     * @param contractId
     * @return
     */
    List<AccountRequestFundsDetailVo> getListByContractId(Long contractId);

    /**
     * 获取列表根据合同ID
     *
     * @param contractIds
     * @return
     */
    List<AccountRequestFundsDetailVo> getListByContractIds(@Param("contractIds") List<Long> contractIds);

    /**
     * 根据请款id获取请款明细列表
     */
    List<AccountRequestFundsDetailVo> listByAccountRequestFundsId(@Param("accountRequestFundsId") Long accountRequestFundsId);

    /**
     * 获取到请款明细信息
     *
     * @param eq
     * @return
     */
    List<AccountRequestFundsDetail> getList(@Param("ew") LambdaQueryWrapper<AccountRequestFundsDetail> eq);

}
