package com.fjhx.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 推送业务类型
 */
@Getter
@AllArgsConstructor
public enum PushBusinessTypeEnum {
    /**
     * 流程专用
     */
    FLOW(0),
    /**
     * 未读日报
     */
    UNREAD_DAILY(1),
    /**
     * 发布日志
     */
    RELEASE_LOG(2),
    /**
     * 分享日报
     */
    SHARE_DAILY(3),
    /**
     * 日程提醒
     */
    SCHEDULE_REMINDER(4),
    /**
     * 到账
     */
    TO_THE_ACCOUNT(5),
    /**
     * 异常处理
     */
    EXCEPTION_HANDLING(6),

    /**
     * 单证被删除
     */
    DOCUMENTS_DEL(7),

    /**
     * 新工单
     */
    NEW_WORK_ORDER(8),

    /**
     * 新计划
     */
    NEW_PLAN(9),

    /**
     * 新任务
     */
    NEW_TASK(10),

    /**
     * 新合同
     */
    NEW_CONTRACT(11);

    private final int type;

}
