package com.fjhx.item.entity.product.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 产品库
 * </p>
 *
 * @author zlj
 * @since 2023-03-17
 */
@Getter
@Setter
@TableName("product_info")
public class ProductInfo extends BasePo {

    /**
     * 定义 1产品 2物料
     */
    private Integer definition;

    /**
     * 产品分类id
     */
    private Long productClassifyId;

    /**
     * 产品编码
     */
    private String code;

    /**
     * 自定义编码
     */
    private String customCode;

    /**
     * 产品类型
     */
    private String type;

    /**
     * 产品名称
     */
    private String name;

    /**
     * 规格型号
     */
    private String spec;

    /**
     * 单位
     */
    private String unit;

    /**
     * 标准产品库json
     */
    private String standardJson;

    /**
     * 备注
     */
    private String remark;

    /**
     * 维多利亚json
     */
    private String victoriatouristJson;

    /**
     * 产品spuid
     */
    private Long productSpuId;

    @TableField(exist = false)
    private Integer count;

    /**
     * 尔泓json
     */
    private String ehsdJson;

    /**
     * 条码编号
     */
    private String barCode;

    /**
     * 结存单价
     */
    private BigDecimal unitPrice;

    /**
     * 库存阈值
     */
    private Integer stockThreshold;

    /**
     * 不在库单价
     */
    private BigDecimal outUnitPrice;

}
