package com.fjhx.mes.entity.work.vo;

import com.fjhx.mes.entity.production.po.ProductionPlan;
import com.fjhx.mes.entity.work.po.WorkOrder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 工单列表查询返回值实体
 *
 * @author
 * @since 2023-03-29
 */
@Getter
@Setter
public class WorkOrderVo extends WorkOrder {

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 生产计划列表
     */
    private List<ProductionPlan> productionPlans;

    /**
     * 待排程数量
     */
    private BigDecimal remainingQuantity;

    /**
     * 总量
     */
    private BigDecimal sumQuantity;

    /**
     * 已计划数量
     */
    private BigDecimal arrangedQuantity;

    /**
     * 完成率
     */
    private BigDecimal completionRate;

    /**
     * 生产任务id
     */
    private Long productionTaskId;

    /**
     * 销售合同单号
     */
    private String contractCode;

    /**
     * 销售合同创建时间
     */
    private Date contractCreateTime;

    /**
     * 可用库存数量
     */
    private BigDecimal availableStockQuantity;

    /**
     * 产品规格
     */
    private String productSpec;

    /**
     * 合同产品备注
     */
    private String contractProductRemark;

    /**
     * 合同创建人
     */
    private Long contractCreateUser;
    /**
     * 合同创建人
     */
    private String contractCreateUserName;
    /**
     * 合同交货时间
     */
    private Date contractDeliveryDate;

    /**
     * 客户id
     */
    private Long customerId;
    private String customerName;

    /**
     * 客户国家名称
     */
    private String buyCountryName;
    /**
     * 客户省名称
     */
    private String buyProvinceName;
    /**
     * 客户市名称
     */
    private String buyCityName;

    /**
     * 客户详细地址
     */
    private String buyAddress;

}
